Bug 77031 - Upgrade to glibc-2.2.5-40 crashes Domino 5.0.10 and 5.0.11 servers
Summary: Upgrade to glibc-2.2.5-40 crashes Domino 5.0.10 and 5.0.11 servers
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: glibc   
(Show other bugs)
Version: 7.3
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-10-31 04:27 UTC by Les Bell
Modified: 2016-11-24 15:12 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-10-31 04:27:10 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Les Bell 2002-10-31 04:27:00 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.7 [en] (WinNT; I)

Description of problem:
After applying RHSA 2002:197-06 "Updated glibc packages fix vulnerabilities in resolver" our Domino servers freeze. On one (mail server), the server freezes when 
another mail server connects to port 25 and the SMTP task presumably calls the resolver. On the other (application server), the server will run as long as the Event 
Monitor is not started. Once the Event task is loaded, it freezes immediately. 

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Use RHN to update glibc to glibc-2.2.5-40
2. Reboot server
3. Try to start Lotus Domino server
	

Actual Results:  All Domino server processes freeze approximately one minute after Domino is started. There are no log entries or other diagnostics. The server 
processes simply freeze up and have to be kill -9'ed.

Expected Results:  Domino server should have run sweetly, as usual.

Additional info:

The problem was masked by the usual long uptimes of the Domino servers. We used RHN to apply RHSA2002:197-06 on 4th October. However, installing the fix only 
updates the files - the running Domino processes in memory are still linked with the old glibc code, so nothing goes wrong. However, we rebooted both servers on 
Sunday 27th October and immediately struck trouble. Because of the long delay, we wasted time investigating other system configuration problems before reinstalling 
the glibc*.i386.rpm files from the original RH 7.3 CD's, which fixed the problem. However, now we have the original resolver vulnerability. . .

Bug is both high severity - we lost email for our entire company for four days - and relates to security

Comment 1 Jakub Jelinek 2002-11-10 20:15:00 UTC
The errata has been released a few days ago.


Note You need to log in before you can comment on or make changes to this bug.